# eric5.Tools.TrayStarter

Module implementing a starter for the system tray.

### Global Attributes

None

### Classes

TrayStarter | Class implementing a starter for the system tray.

### Functions

None

## TrayStarter

Class implementing a starter for the system tray.

### Derived from

QSystemTrayIcon

### Class Attributes

None

### Class Methods

None

### Methods

TrayStarter | Constructor
__about | Private slot to handle the About dialog.
__activated | Private slot to handle the activated signal.
__loadRecentFiles | Private method to load the recently opened filenames.
__loadRecentMultiProjects | Private method to load the recently opened multi project filenames.
__loadRecentProjects | Private method to load the recently opened project filenames.
__openRecent | Private method to open a project or file from the list of recently opened projects or files.
__showContextMenu | Private slot to show the context menu.
__showPreferences | Private slot to set the preferences.
__showRecentFilesMenu | Private method to set up the recent files menu.
__showRecentMultiProjectsMenu | Private method to set up the recent multi projects menu.
__showRecentProjectsMenu | Private method to set up the recent projects menu.
__startCompare | Private slot to start the eric5 compare dialog.
__startDiff | Private slot to start the eric5 diff dialog.
__startEric | Private slot to start the eric5 IDE.
__startHelpViewer | Private slot to start the eric5 web browser.
__startIconEditor | Private slot to start the eric5 icon editor dialog.
__startMiniEditor | Private slot to start the eric5 Mini Editor.
__startPluginInstall | Private slot to start the eric5 plugin installation dialog.
__startPluginRepository | Private slot to start the eric5 plugin repository dialog.
__startPluginUninstall | Private slot to start the eric5 plugin uninstallation dialog.
__startPreferences | Private slot to start the eric5 configuration dialog.
__startProc | Private method to start an eric5 application.
__startPyRe | Private slot to start the eric5 Python re editor dialog.
__startQRegExp | Private slot to start the eric5 QRegExp editor dialog.
__startSnapshot | Private slot to start the eric5 snapshot dialog.
__startSqlBrowser | Private slot to start the eric5 sql browser dialog.
__startTRPreviewer | Private slot to start the eric5 translations previewer.
__startUIPreviewer | Private slot to start the eric5 UI previewer.
__startUnittest | Private slot to start the eric5 unittest dialog.
preferencesChanged | Public slot to handle a change of preferences.

### Static Methods

None

#### TrayStarter (Constructor)

TrayStarter()

Constructor

#### TrayStarter.__about

__about()

Private slot to handle the About dialog.

#### TrayStarter.__activated

__activated(reason)

Private slot to handle the activated signal.

reason
  reason code of the signal (QSystemTrayIcon.ActivationReason)

#### TrayStarter.__loadRecentFiles

__loadRecentFiles()

Private method to load the recently opened filenames.

#### TrayStarter.__loadRecentMultiProjects

__loadRecentMultiProjects()

Private method to load the recently opened multi project filenames.

#### TrayStarter.__loadRecentProjects

__loadRecentProjects()

Private method to load the recently opened project filenames.

#### TrayStarter.__openRecent

__openRecent(act)

Private method to open a project or file from the list of recently opened projects or files.

act
  reference to the action that triggered (QAction)

#### TrayStarter.__showContextMenu

__showContextMenu()

Private slot to show the context menu.

#### TrayStarter.__showPreferences

__showPreferences()

Private slot to set the preferences.

#### TrayStarter.__showRecentFilesMenu

__showRecentFilesMenu()

Private method to set up the recent files menu.

#### TrayStarter.__showRecentMultiProjectsMenu

__showRecentMultiProjectsMenu()

Private method to set up the recent multi projects menu.

#### TrayStarter.__showRecentProjectsMenu

__showRecentProjectsMenu()

Private method to set up the recent projects menu.

#### TrayStarter.__startCompare

__startCompare()

Private slot to start the eric5 compare dialog.

#### TrayStarter.__startDiff

__startDiff()

Private slot to start the eric5 diff dialog.

#### TrayStarter.__startEric

__startEric()

Private slot to start the eric5 IDE.

#### TrayStarter.__startHelpViewer

__startHelpViewer()

Private slot to start the eric5 web browser.

#### TrayStarter.__startIconEditor

__startIconEditor()

Private slot to start the eric5 icon editor dialog.

#### TrayStarter.__startMiniEditor

__startMiniEditor()

Private slot to start the eric5 Mini Editor.

#### TrayStarter.__startPluginInstall

__startPluginInstall()

Private slot to start the eric5 plugin installation dialog.

#### TrayStarter.__startPluginRepository

__startPluginRepository()

Private slot to start the eric5 plugin repository dialog.

#### TrayStarter.__startPluginUninstall

__startPluginUninstall()

Private slot to start the eric5 plugin uninstallation dialog.

#### TrayStarter.__startPreferences

__startPreferences()

Private slot to start the eric5 configuration dialog.

#### TrayStarter.__startProc

__startProc(applName, *applArgs)

Private method to start an eric5 application.

applName
  name of the eric5 application script (string)
*applArgs
  variable list of application arguments

#### TrayStarter.__startPyRe

__startPyRe()

Private slot to start the eric5 Python re editor dialog.

#### TrayStarter.__startQRegExp

__startQRegExp()

Private slot to start the eric5 QRegExp editor dialog.

#### TrayStarter.__startSnapshot

__startSnapshot()

Private slot to start the eric5 snapshot dialog.

#### TrayStarter.__startSqlBrowser

__startSqlBrowser()

Private slot to start the eric5 sql browser dialog.

#### TrayStarter.__startTRPreviewer

__startTRPreviewer()

Private slot to start the eric5 translations previewer.

#### TrayStarter.__startUIPreviewer

__startUIPreviewer()

Private slot to start the eric5 UI previewer.

#### TrayStarter.__startUnittest

__startUnittest()

Private slot to start the eric5 unittest dialog.

#### TrayStarter.preferencesChanged

preferencesChanged()

Public slot to handle a change of preferences.

Up